Bug 12309 - Add more fields to batch patron modification tool
Summary: Add more fields to batch patron modification tool
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 13:48 UTC by Owen Leonard
Modified: 2016-01-19 20:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12309 - Add more fields to batch patron modification tool (8.13 KB, patch)
2014-05-22 14:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12309 - Add more fields to batch patron modification tool (8.14 KB, patch)
2014-06-03 08:04 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 12309: Adapt zipcode wording to match the other patron pages (1.95 KB, patch)
2014-06-06 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12309 - Add more fields to batch patron modification tool (8.20 KB, patch)
2014-06-06 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12309: Adapt zipcode wording to match the other patron pages (1.95 KB, patch)
2014-06-06 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-05-22 13:48:36 UTC
I propose to add city, state, zip, and country to the list of fields which can be modified with the batch patron modification tool.
Comment 1 Owen Leonard 2014-05-22 14:03:41 UTC Comment hidden (obsolete)
Comment 2 pierre.lorgue 2014-06-03 08:00:57 UTC
The batch patron modification tool is correct.
The fields city, state, zip and country have been added.
The functionality is effective with a lot of patrons.
Comment 3 sandboxes@biblibre.com 2014-06-03 08:03:50 UTC
Patch tested with a sandbox, by cachan <pierre.lorgue@ens-cachan.fr>
Comment 4 sandboxes@biblibre.com 2014-06-03 08:04:09 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-06-06 14:38:42 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-06-06 14:39:04 UTC
Created attachment 28711 [details] [review]
Bug 12309 - Add more fields to batch patron modification tool

It would be helpful to be able to use the batch patron modification tool
to update city, state, zipcode, and country. This patch adds this
functionality.

This patch corrects an error in the batch modification script which
would have incorrectly marked first name as required if surname was
required.

This patch also converts the table sorting configuration to use table
header class names instead of index-based sorting for columns containing
dates.

To test, apply the patch and submit a batch of patrons to the batch
patron modification tool (Tools -> Batch patron modification).

In the list of patrons which will be modified you should see columns for
city, state, zipcode, and country. Table sorting should work correctly
without errors, including the registration and expiry date columns.

In the list of fields which can be batch modified you should see inputs
for city, state zipcode, and country. These fields should correctly
reflect mandatory/not mandatory based on the BorrowerMandatoryField
system preference.

Submit batch changes to a variety of fields and confirm that changes are
applied correctly. On the page of results the table should correctly
show all fields and be sorted correctly.

Signed-off-by: cachan <pierre.lorgue@ens-cachan.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2014-06-06 14:39:09 UTC
Created attachment 28712 [details] [review]
Bug 12309: Adapt zipcode wording to match the other patron pages

Replace "Zip code" with "Zip/Postal code" which is used in
members/memberentry.pl and members/moremember.pl.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2014-09-01 14:07:49 UTC
Patches pushed to master.

Thanks Owen!